[[> :header]]

<ol class="breadcrumb">
  [[> :templateBreadcrumb uri=":Start" label="Home"]]
  [[> :templateBreadcrumb uri=":listPersons" label="Persons"]]
  <li class="breadcrumb-item">
    <semantic-query
      query='SELECT ?person ?person_name WHERE
        {
          BIND(<[[urlParam "personiri"]]> as ?person)
          ?person ecrm:P48_has_preferred_identifier/ecrm:P3_has_note ?person_name .
         }'
      template='{{#each bindings}}
          <semantic-link
            uri="{{person.value}}"
            urlqueryparam-tab="relatives"
          >{{person_name.value}}
          </semantic-link>
        </li>{{/each}}'
      >
    </semantic-query>
  </li>
</ol>

<h2>
  <semantic-query
    query='SELECT ?person_name WHERE
      {
        BIND(<[[urlParam "personiri"]]> as ?person)
        ?person ecrm:P48_has_preferred_identifier/ecrm:P3_has_note ?person_name .
       }'
    template='{{#each bindings}}Add new relationship to {{person_name.value}}{{/each}}'
    >
  </semantic-query>
</h2>

<semantic-form
  persistence="LDP"
	browser-persistence="false"
  post-action="http://sphaera.mpiwg-berlin.mpg.de/resource/addRelationshipToPerson"
  fields="[[fieldDefinitions
    property="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/relationship_property"
    record_type="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/attribute_assignment_record_type"
    type="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/relationship_assignment_type"
  ]]"
  urlqueryparam-attributeassignmentiri="[[urlParam "attributeassignmentiri"]]"
  urlqueryparam-personiri="[[urlParam "personiri"]]"
  subject="[[urlParam "attributeassignmentiri"]]"

>
  <semantic-form-select-input for="property">
  </semantic-form-select-input>

  <div class="disabled hidden-field">
    <semantic-form-text-input for="record_type"></semantic-form-text-input>
    <semantic-form-text-input for="type"></semantic-form-text-input>
  </div>

  <div class="text-right form-submit">
    <semantic-link
      uri="[[urlParam "personiri"]]"
      urlqueryparam-tab="relatives"
      class="btn btn-default btn-md">Cancel</semantic-link>
    <button name="submit" class="btn btn-primary btn-md">Add</button>
  </div>

</semantic-form>

[[> :footer]]
